package com.hammurapi.reasoning.impl;

/**
 * Holds information about rule flow token. 
 * @author Pavel Vlasov
 *
 */
public class TokenInfo {
	
	public TokenInfo() {

	}
	
	public TokenInfo(int parameterIndex, Class<?> type) {
		super();
		this.parameterIndex = parameterIndex;
		this.type = type;
	}

	private int parameterIndex = -1;
	
	private Class<?> type;

	public int getParameterIndex() {
		return parameterIndex;
	}

	/**
	 * Parameter index - applicable to input pins and conclusion output pins.
	 * Default value is -1 (invalid index).
	 * @param parameterIndex
	 */
	public void setParameterIndex(int parameterIndex) {
		this.parameterIndex = parameterIndex;
	}

	public Class<?> getType() {
		return type;
	}

	public void setType(Class<?> type) {
		this.type = type;
	}		

}
